GDAL-RASTER-NODATA-TO-ALPHA(1)

NAME
gdal-raster-nodata-to-alpha - Replace nodata value(s) with an alpha band

Added in version 3.12.

SYNOPSIS

    Usage: gdal raster nodata-to-alpha [OPTIONS] <INPUT> <OUTPUT>
    Replace nodata value(s) with an alpha band.
    Positional arguments:
      -i, --input <INPUT>                                  Input raster datasets [required]
      -o, --output <OUTPUT>                                Output raster dataset [required]
    Common Options:
      -h, --help                                           Display help message and exit
      --json-usage                                         Display usage as JSON document and exit
      --config <KEY>=<VALUE>                               Configuration option [may be repeated]
      -q, --quiet                                          Quiet mode (no progress bar)
    Options:
      -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed)
      --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
      --overwrite                                          Whether overwriting existing output is allowed
                                                           Mutually exclusive with --append
      --append                                             Append as a subdataset to existing output
                                                           Mutually exclusive with --overwrite
      --nodata <NODATA>                                    Override nodata value of input band(s) (numeric value, 'nan', 'inf', '-inf') [may be repeated]
    Advanced Options:
      --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated]
      --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated]

DESCRIPTION

gdal raster nodata-to-alpha adds an alpha band based on the nodata value metadata set on the bands of the input dataset.

If there is no explicit nodata value on the input dataset, it is possible to add it with the --nodata option.

This program is a no-op and can be safely used if the input dataset has no nodata value and --nodata is not specified.

  Options

--nodata <NODATA>
    Override nodata value of input band(s) (numeric value, 'nan', 'inf', '-inf'). Either one value can be specified or as many values as they are input bands. When multiple values are specified, a pixel is considered as invalid only if it matches the nodata values on all bands.

--co <NAME>=<VALUE>
    Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

    May be repeated.

    The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

-f, --of, --format, --output-format <OUTPUT-FORMAT>
    Which output raster format to use. Allowed values may be given by gdal --formats | grep raster | grep rw | sort

--ot, --datatype, --output-data-type <OUTPUT-DATA-TYPE>
    Output data type among Byte, Int8, UInt16, Int16, UInt32, Int32, UInt64, Int64, CInt16, CInt32, Float32, Float64, CFloat32, CFloat64.

GDALG OUTPUT (ON-THE-FLY / STREAMED DATASET)

This program supports serializing the command line as a JSON file using the GDALG output format. The resulting file can then be opened as a raster dataset using the GDALG: GDAL Streamed Algorithm driver, and apply the specified pipeline in a on-the-fly / streamed way.

EXAMPLES

  Example 1

    $ gdal raster nodata-to-alpha input_with_nodata.tif output_with_alpha_band.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025